

    {# {{ include('campaign/_form.html.twig', {'button_label': 'Update'}) }} #}

    {# <a href="{{ path('campaign_index') }}">back to list</a> #}

    {# {{ include('campaign/_delete_form.html.twig') }} #}

{% extends 'base.html.twig' %}

{% block stylesheets %}
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/simplemde/latest/simplemde.min.css">
{% endblock %}

{% block title %}Edit Campaign{% endblock %}

{% block body %}

    <div class="parallax-container valign-wrapper">
        <div class="section no-pad-bot">
            <div class="container">
                <div class="hide-on-med-and-down">
                    <h1 class="header center white-text light">Un cadeau commun à organiser?</h1>
                    <div class="row center">
                        <h5 class="header col s12 light">Anniversaire, pot de départ, crémaillère... N'avancez plus les frais !</h5>
                    </div>
                </div>
                <div class="hide-on-large-only">
                    <div class="row center">
                        <h5 class="header col s12 light">Un cadeau commun à organiser ?</h5>
                    </div>
                </div>
            </div>
        </div>
        <div class="parallax"><img src="/assets/images/11.jpg" alt="Anniversaire, pot de départ, crémaillère... N'avancez plus les frais !"></div>
    </div>



    <div class="container">
        <div class="section">
            <div class="row">
                <div class="col s12 center">
                    <h4>Editez votre campagne maintenant</h4>
                </div>
            </div>
            <!--   Form Section   -->
            <div class="card">
                <div class="card-content">
                    <div class="row">
                        {{ form_start(form) }}

                                {{ form_widget(form) }}

                                {# <div class="input-field col s12 l6">
                                    <input id="author" type="text" class="validate" name="author">
                                    <label for="author">Votre Nom</label>
                                </div> #}
                                <div class="input-field ">
                                    <input id="email" type="email" class="validate">
                                    <label for="email">Votre Email</label>
                                </div>
                                <div class="clearfix"></div>
                                <button class="btn">{{ button_label|default('Update') }}</button>
                                
                        {{ form_end(form) }}
                    </div>
                </div>
            </div>

        </div>
    </div>

    <div class="container">
        <div class="section">
            <div class="row">
                <div class="col s12 center">
                    <h4>Comment ça marche ?</h4>
                </div>
            </div>
            <!--   Icon Section   -->
            <div class="row">
                <div class="col s12 m4">
                    <div class="icon-block center">
                        <div class="btn-large btn-floating white"><i class="material-icons teal-text">create</i></div>
                        <h5 class="center">Créez</h5>
                        <p class="light">et personnalisez votre campagne commune en 30 secondes !</p>
                    </div>
                </div>

                <div class="col s12 m4">
                    <div class="icon-block center">
                        <div class="btn-large btn-floating white"><i class="material-icons teal-text">wc</i></div>
                        <h5 class="center">Invitez</h5>
                        <p class="light">vos amis en utilisant les réseaux sociaux, mail, etc.</p>
                    </div>
                </div>

                <div class="col s12 m4">
                    <div class="icon-block center">
                        <div class="btn-large btn-floating white"><i class="material-icons teal-text">shopping_cart</i></div>
                        <h5 class="center">Collectez</h5>
                        <p class="light">et utilisez l'argent comme bon vous semble avec vos amis.</p>
                    </div>
                </div>
            </div>

        </div>
    </div>

{% endblock %}

{% block javascripts %}
    <script src="https://cdn.jsdelivr.net/simplemde/latest/simplemde.min.js"></script>
    <script>
        var simplemde = new SimpleMDE();
    </script>

    {% if campaign_title is defined %}
        <script>
            var inputCampaignTitle = document.querySelector('#campaign_title');
            inputCampaignTitle.value = '{{ campaign_title }}';
        </script>
    {% endif %}
    
{% endblock %}
